std::generator::promise_type::get_return_object(3)

NAME
std::generator::promise_type::get_return_object - std::generator::promise_type::get_return_object

Synopsis
   std::generator get_return_object() noexcept; (since C++23)
   Returns a generator object whose member coroutine_ is obtained via the expression
   std::coroutine_handle<promise_type>::from_promise(*this), and whose member active_
   points to an empty stack.

Parameters
   (none)

Return value
   The generator object.